# The tests fail in mock
%bcond_with tests

# Created by pyp2rpm-3.2.2
%global pypi_name ethtool

Name:           python-%{pypi_name}
Version:        0.15
Release:        %mkrel 3
Summary:        Python module to interface with %{pypi_name}
Group:          Development/Python
License:        GPLv2
URL:            https://github.com/fedora-python/%{name}
Source0:        %{pypi_source}

# See https://fedoraproject.org/wiki/Changes/Remove_GCC_from_BuildRoot
BuildRequires:  gcc

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  libnl3-devel
BuildRequires:  asciidoc

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%package -n     python3-%{pypi_name}
Summary:        Python 3 module to interface with %{pypi_name}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

a2x -d manpage -f manpage man/pethtool.8.asciidoc
a2x -d manpage -f manpage man/pifconfig.8.asciidoc

%install
%py3_install
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}{%{_bindir},%{_sbindir}}/pifconfig
mv %{buildroot}{%{_bindir},%{_sbindir}}/pethtool

mkdir -p %{buildroot}%{_mandir}/man8/
cp -p man/*.8 %{buildroot}%{_mandir}/man8/

%if %{with tests}
%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} tests/parse_ifconfig.py -v
%{__python3}  -m unittest discover -v
%endif

%files -n python3-%{pypi_name}
%doc README.rst CHANGES.rst
%license COPYING
%{_sbindir}/pifconfig
%{_sbindir}/pethtool
%{_mandir}/man8/*
%{python3_sitearch}/%{pypi_name}.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.15-3.mga9
+ Revision: 1799314
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.15-2.mga9
+ Revision: 1784990
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 0.15-1.mga9
+ Revision: 1743222
- new version 0.15

* Tue Apr 20 2021 daviddavid <daviddavid> 0.14-4.mga9
+ Revision: 1717373
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.14-3.mga8
+ Revision: 1533104
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.14-2.mga8
+ Revision: 1443379
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jan 13 2019 wally <wally> 0.14-1.mga7
+ Revision: 1356018
- new version 0.14 (sync with Fedora)
- add python3 pkg and move 'binaries' to it

* Sun Sep 23 2018 umeabot <umeabot> 0.12-2.mga7
+ Revision: 1300475
- Mageia 7 Mass Rebuild

* Mon Jan 02 2017 bcornec <bcornec> 0.12-1.mga6
+ Revision: 1079635
- update to upstream python-ethtool 0.12

* Wed Jan 06 2016 danf <danf> 0.11-5.mga6
+ Revision: 920027
- Added ifh.patch to fix buildng with glibc 2.22
- Switched to new Python auto autopatch macros
- Package the man pages
- Don't bother packaging the GPL text
- Removed version 0.8 source

* Wed Oct 15 2014 umeabot <umeabot> 0.11-4.mga5
+ Revision: 748923
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.11-3.mga5
+ Revision: 728426
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.11-2.mga5
+ Revision: 688022
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 bcornec <bcornec> 0.11-1.mga5
+ Revision: 661842
- Update to python-ethtool upstream 0.11
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Jan 22 2014 bcornec <bcornec> 0.10-1.mga5
+ Revision: 567448
- Updated to upstream python-ethtool 0.10 and now depends on libnl3-devel

* Tue Oct 22 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 543307
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-2.mga4
+ Revision: 498557
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 24 2013 dams <dams> 0.8-1.mga4
+ Revision: 457532
- new version 0.8
- clean specfile
- update %%url and %%source

* Sun Jan 13 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 378807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 bcornec <bcornec> 0.7-1.mga3
+ Revision: 316448
- Adapt python-ethtool from Fedora to Mageia SPEc usages
- imported package python-ethtool


* Mon Apr 11 2011 David Sommerseth <davids@redhat.com> - 0.7-1
- Fixed several memory leaks (commit aa2c20e697af, abc7f912f66d)
- Improved error checking towards NULL values(commit 4e928d62a8e3)
- Fixed typo in pethtool --help (commit 710766dc722)
- Only open a NETLINK connection when needed (commit 508ffffbb3c)
- Added man page for pifconfig and pethtool (commit 9f0d17aa532, rhbz#638475)
- Force NETLINK socket to close on fork() using FD_CLOEXEC (commit 1680cbeb40e)

* Wed Jan 19 2011 David Sommerseth <dazo@users.sourceforge.net> - 0.6-1
- Don't segfault if we don't receive any address from rtnl_link_get_addr()
- Remove errornous file from MANIFEST
- Added ethtool.version string constant
- Avoid duplicating IPv6 address information
- import sys module in setup.py (Miroslav Suchy)

* Mon Aug  9 2010 David Sommerseth <davids@redhat.com> - 0.5-1
- Fixed double free issue (commit c52ed2cbdc5b851ebc7b)

* Wed Apr 28 2010 David Sommerseth <davids@redhat.com> - 0.4-1
- David Sommerseth is now taking over the maintenance of python-ethtool
- New URLs for upstream source code
- Added new API: ethtool.get_interfaces_info() - returns list of etherinfo objects
- Added support retrieving for IPv6 address, using etherinfo::get_ipv6_addresses()

* Fri Sep  5 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.3-2
- Rewrote build and install sections as part of the fedora review process
  BZ #459549

* Tue Aug 26 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.3-1
- Add get_flags method from the first python-ethtool contributor, yay
- Add pifconfig command, that mimics the ifconfig tool using the
  bindings available

* Wed Aug 20 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.2-1
- Expand description and summary fields, as part of the fedora
  review process.

* Tue Jun 10 2008 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.1-3
- add dist to the release tag

* Tue Dec 18 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.1-2
- First build into MRG repo

* Tue Dec 18 2007 Arnaldo Carvalho de Melo <acme@redhat.com> - 0.1-1
- Get ethtool code from rhpl 0.212
